## sopv-gpgv 0.1

=== Makefile ===
#!/usr/bin/make -f

VERSION = $(lastword $(shell ./sopv-gpgv version))

COMPLETIONS = completions/bash/sopv-gpgv completions/fish/sopv-gpgv.fish completions/zsh/_sopv-gpgv

all: sopv-gpgv.1 $(COMPLETIONS)

sopv-gpgv.1: sopv-gpgv
	argparse-manpage --pyfile $< \
	--project-name sopv-gpgv \
	--author 'Daniel Kahn Gillmor <dkg@fifthhorseman.net>' \
	--version $(VERSION) \
	--function get_parser \
	--description 'Stateless OpenPGP Signature Verification backed by gpgv' \
	--output $@

completions/zsh/_sopv-gpgv: sopv-gpgv
	mkdir -p $(dir $@)
	register-python-argcomplete --shell zsh $< > $@.tmp
	mv $@.tmp $@

completions/bash/sopv-gpgv: sopv-gpgv
	mkdir -p $(dir $@)
	register-python-argcomplete --shell bash $< > $@.tmp
	mv $@.tmp $@

completions/fish/sopv-gpgv.fish: sopv-gpgv
	mkdir -p $(dir $@)
	register-python-argcomplete --shell fish $< > $@.tmp
	mv $@.tmp $@

check: typecheck spellcheck formatcheck
	./test sqop
typecheck:
	mypy --strict sopv-gpgv
spellcheck:
	codespell README.md sopv.gpgv test LICENSE
formatcheck:
	black --check sopv-gpgv
clean:
	rm -f *.key *.cert *.cert.bin test.* sopv-gpgv.1
	rm -rf completions .mypy_cache


.PHONY: all clean typecheck spellcheck check formatcheck

=== debian/changelog ===
sopv-gpgv (0.1-3) unstable; urgency=medium

  * Add python3-argcomplete to build-depends (Thanks, Santiago Vila!) (Closes: #1077955)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 27 Aug 2024 09:16:57 -0400

sopv-gpgv (0.1-2) unstable; urgency=medium

  * update-alternatives: update tab completion too
  * autopkgtests: permit stderr

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 26 Aug 2024 17:54:01 -0400

sopv-gpgv (0.1-1) unstable; urgency=medium

  * Release new package (Closes: #1076672)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 21 Jul 2024 10:17:10 -0700

=== debian/control ===
Source: sopv-gpgv
Section: utils
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 bash-completion,
 black <!nocheck>,
 codespell <!nocheck>,
 debhelper-compat (= 13),
 gpgv <!nocheck>,
 mypy <!nocheck>,
 python3-argcomplete,
 python3-argparse-manpage,
 sqop <!nocheck>,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/sopv-gpgv.git
Vcs-Browser: https://salsa.debian.org/debian/sopv-gpgv
Homepage: https://gitlab.com/dkg/sopv-gpgv
Rules-Requires-Root: no

Package: sopv-gpgv
Architecture: all
Depends:
 gpgv,
 python3,
 ${misc:Depends},
Recommends:
 python3-argcomplete,
Provides:
 sopv (= 1.0),
Conflicts:
 gpgv-from-sq,
Description: Stateless OpenPGP CLI Verification-only Subset backed by gpgv
 The Stateless OpenPGP Command-Line Interface Verification-only Subset
 (or `sopv`) is a simple, standard interface for verifying OpenPGP
 cryptographic signatures.
 .
 This package provides an implementation of `sopv` backed by the
 minimal, verification-only `gpgv` tool from g10code.
 .
 `sopv` is defined in
 https://datatracker.ietf.org/doc/draft-dkg-openpgp-stateless-cli/
 `gpgv` https://www.gnupg.org/documentation/manuals/gnupg/gpgv.html

=== debian/tests/control ===
Test-Command: env SOPV=sopv-gpgv ./test sqop
Restrictions:
 allow-stderr
Depends:
 @,
 sqop

Test-Command: env SOPV=sopv-gpgv ./test pgpainless-cli
Restrictions:
 allow-stderr
Depends:
 @,
 pgpainless-cli

## sopv-gpgv 0.1.1

=== debian/changelog ===
sopv-gpgv (0.1.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 25 Nov 2024 17:33:22 -0500

sopv-gpgv (0.1-4) unstable; urgency=medium

  * unconflict with gpgv-from-sq starting at version 0.11.0.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 13 Nov 2024 08:25:17 -0500

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
  python3-argcomplete,
 Provides:
  sopv (= 1.0),
-Conflicts:
- gpgv-from-sq,
+Breaks:
+ gpgv-from-sq (<< 0.11.0),
 Description: Stateless OpenPGP CLI Verification-only Subset backed by gpgv
  The Stateless OpenPGP Command-Line Interface Verification-only Subset
  (or `sopv`) is a simple, standard interface for verifying OpenPGP

## sopv-gpgv 0.1.2

=== debian/changelog ===
sopv-gpgv (0.1.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: bump to 4.7.1 (no changes needed)
  * Recommends: sopv-doc (for sopv manpages)
  * Add autopkgtests against 4 sop implementations
  * wrap-and-sort -ast

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 07 Mar 2025 17:58:06 -0500

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
+ debhelper-compat (= 13),
  bash-completion,
  black <!nocheck>,
  codespell <!nocheck>,
- debhelper-compat (= 13),
  gpgv <!nocheck>,
  mypy <!nocheck>,
  python3-argcomplete,
  python3-argparse-manpage,
  sqop <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Git: https://salsa.debian.org/debian/sopv-gpgv.git
 Vcs-Browser: https://salsa.debian.org/debian/sopv-gpgv
 Homepage: https://gitlab.com/dkg/sopv-gpgv
@@ -26,6 +26,7 @@
  ${misc:Depends},
 Recommends:
  python3-argcomplete,
+ sopv-doc,
 Provides:
  sopv (= 1.0),
 Breaks:

=== debian/tests/control ===
Test-Command: env SOPV=sopv-gpgv ./test sqop
Restrictions:
 allow-stderr,
Depends:
 sqop,
 @,

Test-Command: env SOPV=sopv-gpgv ./test pgpainless-cli
Restrictions:
 allow-stderr,
Depends:
 pgpainless-cli,
 @,

Test-Command: debian/tests/run-sop-test pgpainless-cli
Restrictions:
 allow-stderr,
Depends:
 pgpainless-cli,
 sopv-doc,
 @,

Test-Command: debian/tests/run-sop-test gosop
Restrictions:
 allow-stderr,
Depends:
 gosop,
 sopv-doc,
 @,

Test-Command: debian/tests/run-sop-test sqop
Restrictions:
 allow-stderr,
Depends:
 sopv-doc,
 sqop,
 @,

Test-Command: debian/tests/run-sop-test rsop
Restrictions:
 allow-stderr,
Depends:
 rsop,
 sopv-doc,
 @,

## sopv-gpgv 0.1.4

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 VERSION = $(lastword $(shell ./sopv-gpgv version))
 
 COMPLETIONS = completions/bash/sopv-gpgv completions/fish/sopv-gpgv.fish completions/zsh/_sopv-gpgv
+Reported_version = $(shell ./sopv-gpgv version | cut -f2 -d\ )
+Changelog_version = $(shell grep Version ./Changelog.md | head -n1 | cut -f3 -d\ )
 
 all: sopv-gpgv.1 $(COMPLETIONS)
 
@@ -30,7 +32,7 @@
 	register-python-argcomplete --shell fish $< > $@.tmp
 	mv $@.tmp $@
 
-check: typecheck spellcheck formatcheck
+check: typecheck spellcheck formatcheck versioncheck
 	./test sqop
 typecheck:
 	mypy --strict sopv-gpgv
@@ -38,6 +40,9 @@
 	codespell README.md sopv.gpgv test LICENSE
 formatcheck:
 	black --check sopv-gpgv
+versioncheck:
+	test $(Changelog_version) = $(Reported_version)
+
 clean:
 	rm -f *.key *.cert *.cert.bin test.* sopv-gpgv.1
 	rm -rf completions .mypy_cache

=== debian/changelog ===
sopv-gpgv (0.1.4-1) unstable; urgency=medium

  * New upstream release (fixes reported version)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 18 Mar 2025 16:55:05 -0400

sopv-gpgv (0.1.3-2) unstable; urgency=medium

  * alternatives no longer provides manpages or shell completion;
    sopv manpage comes from sopv-doc, if installed.
  * install shell-completion via dh-shell-completions.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 15 Mar 2025 22:43:16 -0400

sopv-gpgv (0.1.3-1) unstable; urgency=medium

  * New upstream release
   - validate signature from expired cert (while cert was not expired)
  * improve use of autopkgtest

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 15 Mar 2025 15:03:43 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends:
  debhelper-compat (= 13),
- bash-completion,
  black <!nocheck>,
  codespell <!nocheck>,
+ dh-shell-completions,
  gpgv <!nocheck>,
  mypy <!nocheck>,
  python3-argcomplete,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with shell_completions

=== debian/tests/control ===
Test-Command: env SOPV=sopv-gpgv ./test sqop
Features:
 test-name=builtin-sqop,
Restrictions:
 allow-stderr,
Depends:
 sqop,
 @,

Test-Command: env SOPV=sopv-gpgv ./test pgpainless-cli
Features:
 test-name=builtin-pgpainless-cli,
Restrictions:
 allow-stderr,
Depends:
 pgpainless-cli,
 @,

Test-Command: debian/tests/run-sop-test pgpainless-cli
Features:
 test-name=pgpainless-cli,
Restrictions:
 allow-stderr,
Depends:
 pgpainless-cli,
 sopv-doc,
 @,

Test-Command: debian/tests/run-sop-test gosop
Features:
 test-name=gosop,
Restrictions:
 allow-stderr,
Depends:
 gosop,
 sopv-doc,
 @,

Test-Command: debian/tests/run-sop-test sqop
Features:
 test-name=sqop,
Restrictions:
 allow-stderr,
Depends:
 sopv-doc,
 sqop,
 @,

Test-Command: debian/tests/run-sop-test --default-profile rsop
Features:
 test-name=rsop,
Restrictions:
 allow-stderr,
Depends:
 rsop,
 sopv-doc (>= 1.1.1-1~~),
 @,

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=gittag" \
https://gitlab.com/dkg/sopv-gpgv.git \
refs/tags/sopv-gpgv/@ANY_VERSION@
